function MessageFromMenu(nCount,Param1)
if Param1==2000029 then
	CreateWindow(200,200,"7",100,"messageinfo") 
return;end;
showoptons(0);
return;end;


function mini_create ()
show_help_wnd=true;
init_mini(1);
create_mini(19,49,30,265,103,480,480,1001,2,5,0,-1);
end;

--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	if sender==16 then
	if not help then
		help=true;
		CreateWindow(200,200,"7",100,"messageinfo")
	end;		
	BlockCursor(false);
	return;end;

	if sender==26 then
	if id==1 then
		clear_satelite_leaf("azart_room");
	return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==30 then
	if flags.minicomplete7 then
	   StopEmiter("Schit");
	--		setcurentleaf("azart_room",3,1);
		--speciale_action(2,501,true,2);
		setcurentleaf("private_room",3,2);	
		speciale_action(2,69);
		speciale_action(2,50)
		Set_Cursor(33,4);
		--AddParticleToObject(33,"./particles/particle2.psi");
		Set_Cursor(71,4);
		--AddParticleToObject(71,"./particles/particle2.psi");
		Set_Cursor(47,4);
		--AddParticleToObject(47,"./particles/particle2.psi");
			AddParticleToObject(47,"DictOn",0,0);
			StartEmiter("DictOn");
			MoveEmiter("DictOn",386,401);
			AddParticleToObject(71,"TumbOn",0,0);
			StartEmiter("TumbOn");
			MoveEmiter("TumbOn",925,525);	
			AddParticleToObject(33,"PatOn",0,0);
			StartEmiter("PatOn");
			MoveEmiter("PatOn",915,471);				
		flags.darkness=false;	
		setcurentleaf("azart_room",3,1);
		Set_Cursor(32,3);
		DarkScreen(false);
		savegame(SaveLevel())
		if flags.object2 then
			flags.loc2=true;
		return;end;			

	return;end;	
		setcurentleaf("azart_room",3,1);
		DarkScreen(false);
		DeleteResource("em_channel");
		DeleteResource("em_bg");
		DeleteResource("em_btn1");
		DeleteResource("em_btn2");
		DeleteResource("em_btn3");
		DeleteResource("em_light");		
		DeleteResource("electr");	
	return; end;

	if sender==36 then
		if id==2100 then
			speciale_action(2,1053);
		return;end;
		if id==2101 then
			BlockCursor(false);
		    CreateWindow(100,100,"221",1);
		return;end;
	return;end;
	
	if sender==10 then
		flags.minicomplete7=true;
		playeffect("Electr");
		speciale_action(2,1300)
		StartAnimation(1300)
		StartTimer(2100,3);
		StartTimer(2101,5);		
		BlockCursor(true);
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	
	if sender==1 then

	if id==6000 then
	   CreateWindow(200,200,"7",100,"messageinfo") 
	return;end;
	if id==5000 then
		if skipping then
		
			if not flags.minicomplete7 then
				playeffect("skip");
				SkipMini();
			return;end;	
		return;end;		
	return;end;		
		
	if id==1050 then
		finish_mini_game(false);
		playeffect("close");
	   clear_satelite_leaf("azart_room");
	return;end;
		playeffect("pclick");
		check_mini_game_puzzle(id,7);

	return;end;
	

end;
function mini_delete ()

end;